GNU bug report logs - #18714
[mdate-sh] use specific timezone when producing input

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: automake; Reported by: Alon Bar-Lev <alon.barlev@HIDDEN>; merged with #18715; dated Tue, 14 Oct 2014 00:14:02 UTC; Maintainer for automake is bug-automake@HIDDEN.
Merged 18714 18715. Request was from Eric Blake <eblake@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Oct 2014 00:13:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 13 20:13:05 2014
Received: from localhost ([127.0.0.1]:43003 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xdpjb-0002gD-Hl
	for submit <at> debbugs.gnu.org; Mon, 13 Oct 2014 20:13:04 -0400
Received: from eggs.gnu.org ([208.118.235.92]:37940)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <alon.barlev@HIDDEN>) id 1XdpOe-0001tU-FQ
 for submit <at> debbugs.gnu.org; Mon, 13 Oct 2014 19:51:25 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <alon.barlev@HIDDEN>) id 1XdpOd-0005WJ-8u
 for submit <at> debbugs.gnu.org; Mon, 13 Oct 2014 19:51:24 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:44594)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <alon.barlev@HIDDEN>) id 1XdpOd-0005Vm-67
 for submit <at> debbugs.gnu.org; Mon, 13 Oct 2014 19:51:23 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:39642)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <alon.barlev@HIDDEN>) id 1XdpOb-0007in-So
 for bug-automake@HIDDEN; Mon, 13 Oct 2014 19:51:23 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <alon.barlev@HIDDEN>) id 1XdpOa-0005Pz-LU
 for bug-automake@HIDDEN; Mon, 13 Oct 2014 19:51:21 -0400
Received: from mail-oi0-x231.google.com ([2607:f8b0:4003:c06::231]:55322)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <alon.barlev@HIDDEN>) id 1XdpOa-0005OQ-GA
 for bug-automake@HIDDEN; Mon, 13 Oct 2014 19:51:20 -0400
Received: by mail-oi0-f49.google.com with SMTP id a3so14614686oib.36
 for <bug-automake@HIDDEN>; Mon, 13 Oct 2014 16:51:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=gnxuUlnuFZP00vERe0DYno9f6xUZs4Hd4rx3ewCFsdU=;
 b=oSJCHVKmmdYYKpFi7tM3rU43EXxuZWqvKswuGPPuXOu7YQoPJyC7DZFJbm1tkL9nWb
 ZYtjilVRbHp/keSqXQT7cdZFhuGX6xPPKX1I8xrgyyzeAkqwPkCWCK5Gn69bWa+X8mq7
 dZcaRl76mUrm3ywEkbV03kpU43l7R6C1jolqu2QiEBcRNr3sauj3y1Dykmd4CLTzlX09
 sINxBomo/2OwIz+FTz1E1VXWsdgCRJnaX370LHxqsuUYOTkD4SD9WKhHR6yScA+A3dQ2
 VmWYNuhdxIReMNzuMHrMDAbYCmC1c9oqkrssi2CgEhCDaCVfqLkM2AZhRlU0PyauzTOk
 MgqQ==
MIME-Version: 1.0
X-Received: by 10.202.180.6 with SMTP id d6mr1247453oif.33.1413244279548; Mon,
 13 Oct 2014 16:51:19 -0700 (PDT)
Received: by 10.202.59.131 with HTTP; Mon, 13 Oct 2014 16:51:19 -0700 (PDT)
Date: Tue, 14 Oct 2014 02:51:19 +0300
Message-ID: <CAOazyz36dZNtQD_BYMN75m1DWQ8TfxXzF6FNZQ7pqEq-w9B-gA@HIDDEN>
Subject: [mdate-sh] use specific timezone when producing input
From: Alon Bar-Lev <alon.barlev@HIDDEN>
To: bug-automake@HIDDEN
Content-Type: multipart/alternative; boundary=001a113d4b504372840505569347
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 13 Oct 2014 20:13:01 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a113d4b504372840505569347
Content-Type: text/plain; charset=UTF-8

Hello,

Currently the mdate-sh is timezone sensitive, which means that if a file is
not modified but timezone modified then output differ.

This triggers rebuild of targets such as texinfo targets even if no change
was performed.

For example, build machine with timezone X created tarball, then another
build machine with timezone Y build the package out of the tarball, while
no file was actually changed, the mdate-sh triggers rebuild per different
timezone.

A possible solution is to return the date in UTC timezone regardless of
system timezone.

Regards,
Alon Bar-Lev.

--001a113d4b504372840505569347
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><div><div>Hello,<br><br>Currently the mdate-sh is tim=
ezone sensitive, which means that if a file is not modified but timezone mo=
dified then output differ.<br><br></div>This triggers rebuild of targets su=
ch as texinfo targets even if no change was performed.<br><br></div>For exa=
mple, build machine with timezone X created tarball, then another build mac=
hine with timezone Y build the package out of the tarball, while no file wa=
s actually changed, the mdate-sh triggers rebuild per different timezone.<b=
r><br>A possible solution is to return the date in UTC timezone regardless =
of system timezone.<br><br></div>Regards,<br>Alon Bar-Lev.<br><br></div>

--001a113d4b504372840505569347--




Acknowledgement sent to Alon Bar-Lev <alon.barlev@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-automake@HIDDEN. Full text available.
Report forwarded to bug-automake@HIDDEN:
bug#18714; Package automake. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.